Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine
Class RemoteJMeterEngineImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.apache.jmeter.engine.RemoteJMeterEngineImpl

All Implemented Interfaces:
  Remote, RemoteJMeterEngine, Serializable

public class RemoteJMeterEngineImpl
extends UnicastRemoteObject
implements RemoteJMeterEngine

This is the JMeter server main code.

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_RMI_PORT`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Method Summary
`void` | `configure(HashTree testTree, String host)` Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.
`void` | `exit()`
`void` | `reset()`
`void` | `runTest()`
`void` | `setProperties(Properties p)`
`static void` | `startServer(int port)`
`void` | `stopTest()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_RMI_PORT

    public static final int DEFAULT_RMI_PORT

Method Detail

### startServer

    public static void startServer(int port)
                            throws RemoteException

  Throws:
    `RemoteException`

### configure

    public void configure(HashTree testTree,
                          String host)
                   throws RemoteException

  Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.

  Specified by:
    `configure` in interface `RemoteJMeterEngine`
  Parameters:
    `testTree` - the feature to be added to the ThreadGroup attribute
  Throws:
    `RemoteException`

### runTest

    public void runTest()
                 throws RemoteException,
                        JMeterEngineException

  Specified by:
    `runTest` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`
    `JMeterEngineException`

### reset

    public void reset()
               throws RemoteException

  Specified by:
    `reset` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`

### stopTest

    public void stopTest()
                  throws RemoteException

  Specified by:
    `stopTest` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`

### exit

    public void exit()
              throws RemoteException

  Specified by:
    `exit` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`

### setProperties

    public void setProperties(Properties p)
                       throws RemoteException

  Specified by:
    `setProperties` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.